<?php
/**
 * $Horde: trean/config/prefs.php.dist,v 1.13 2006/01/01 18:13:12 jan Exp $
 *
 * See horde/config/prefs.php for documentation on the structure of this file.
 */

$prefGroups['display'] = array(
    'column' => _("Other Options"),
    'label' => _("Display Options"),
    'desc' => _("Change the number of columns to display in browse and search results."),
    'members' => array('browse_columns', 'bookmark_template', 'display_edit', 'show_in_new_window', 'display_rating')
);


// number of columns to display in browse screen
$_prefs['browse_columns'] = array(
    'value' => 1,
    'locked' => false,
    'shared' => false,
    'type' => 'number',
    'desc' => _("Number of columns to display in browse and search results (does not apply to tree view):")
);

// the template to use when displaying bookmarks
$_prefs['bookmark_template'] = array(
    'value' => 'standard',
    'locked' => false,
    'shared' => false,
    'type' => 'enum',
    'enum' => array('standard' => _("Title, URL, and Description"),
                    '2line' => _("Title and Description"),
                    '1line' => _("Title Only"),
                    'tree' => _("Tree View")),
    'desc' => _("Template to use when displaying bookmarks:")
);

// how many levels to expand initially
$_prefs['expand_tree'] = array(
    'value' => 'first',
    'locked' => false,
    'shared' => false,
    'type' => 'enum',
    'enum' => array('none' => _("Completely collapsed"),
                    'first' => _("First level shown"),
                    'all' => _("Completely expanded")),
    'desc' => _("Should your list of bookmark categories be open when you log in?")
);

// show edit / delete links
$_prefs['display_edit'] = array(
    'value' => 1,
    'locked' => false,
    'shared' => false,
    'type' => 'checkbox',
    'desc' => _("Display edit buttons when displaying Bookmarks?")
);

// Open links in new windows?
$_prefs['show_in_new_window'] = array(
    'value' => 1,
    'locked' => false,
    'shared' => false,
    'type' => 'checkbox',
    'desc' => _("Open links in a new window?")
);

// Display bookmark rating while browsing?
$_prefs['display_rating'] = array(
    'value' => 1,
    'locked' => false,
    'shared' => false,
    'type' => 'checkbox',
    'desc' => _("Display bookmark rating in browse/search view?"),
);