<?php

$block_name = _("Menu List");
$block_type = 'tree';

/**
 * $Horde: trean/lib/Block/tree_menu.php,v 1.2 2005/10/13 04:02:21 selsky Exp $
 */
class Horde_Block_trean_tree_menu extends Horde_Block {

    var $_app = 'trean';

    function _buildTree(&$tree, $indent = 0, $parent = null)
    {
        global $registry;

        define('TREAN_BASE', dirname(__FILE__) . '/../..');
        require_once TREAN_BASE . '/lib/base.php';

        $browse = Horde::applicationUrl('browse.php');

        $tree->addNode($parent . '__new',
                       $parent,
                       _("Add"),
                       $indent + 1,
                       false,
                       array('icon' => 'add.png',
                             'icondir' => $registry->getImageDir(),
                             'url' => Horde::applicationUrl('add.php')));

        $tree->addNode($parent . '__search',
                       $parent,
                       _("Search"),
                       $indent + 1,
                       false,
                       array('icon' => 'search.png',
                             'icondir' => $registry->getImageDir('horde'),
                             'url' => Horde::applicationUrl('search.php')));

        $categories = Trean::listCategories();
        foreach ($categories as $category) {
            $parent_id = $GLOBALS['trean_shares']->getParent($category);
            if ($parent_id == DATATREE_ROOT) {
                $parent_id = '';
            }
            $tree->addNode($parent . $category->getId(),
                           $parent . $parent_id,
                           $category->get('name'),
                           $indent + substr_count($category->getName(), ':') + 1,
                           false,
                           array('icon' => 'folder.png',
                                 'icondir' => $registry->getImageDir('horde') . '/tree',
                                 'url' => Util::addParameter($browse, 'category_id', $category->getId())));
        }
    }

}
