<?php
/**
 * $Horde: trean/reports.php,v 1.7 2006/01/01 21:12:00 jan Exp $
 *
 * Copyright 2005-2006 Ben Chavet <ben@horde.org>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://www.horde.org/licenses/bsdl.php.
 */

@define('TREAN_BASE', dirname(__FILE__));
require_once TREAN_BASE . '/lib/base.php';

$report = Util::getFormData('report');
$drilldown = Util::getFormData('drilldown');
$actionID = Util::getFormData('actionID');

$title = _("Reports");
Horde::addScriptFile('stripe.js', 'horde', true);
require TREAN_TEMPLATES . '/common-header.inc';
require TREAN_TEMPLATES . '/menu.inc';
require TREAN_TEMPLATES . '/reports/list.inc';

switch ($report) {
case 'http-status':
    if ($drilldown) {
        $criteria = array(array('field' => 'name', 'op' => '=', 'test' => 'http-status'),
                          array('field' => 'value', 'op' => 'like', 'test' => substr($drilldown, 0, 1) . '%'));
        $bookmarks = &$trean_shares->listBookmarks(Auth::getAuth(), true, 0, 0, null, 0, $criteria);
        $search_title = _("HTTP Status") . ' :: ' . sprintf(_("%s Response Codes"), $drilldown) . ' (' . count($bookmarks) . ')';
    } else {
        require TREAN_TEMPLATES . '/reports/http-status.inc';
    }
    break;

case 'clicks':
    require TREAN_TEMPLATES . '/reports/clicks.inc';
    break;

case 'rating':
    require TREAN_TEMPLATES  . '/reports/rating.inc';
    break;

}

if (!empty($bookmarks) && !empty($search_title)) {
    /* Display the results. */
    require TREAN_TEMPLATES . '/search/javascript.inc';
    require TREAN_TEMPLATES . '/search/results_header.inc';

    if (count($bookmarks)) {
        require TREAN_TEMPLATES . '/search/results.inc';
    } else {
        require TREAN_TEMPLATES . '/search/results_none.inc';
    }

    require TREAN_TEMPLATES . '/search/results_footer.inc';
}

require $registry->get('templates', 'horde') . '/common-footer.inc';
