#!/usr/local/php
<?php
/**
 * $Horde: trean/scripts/upgrades/2005-05-06_add_default_rating.php,v 1.1 2005/05/07 04:42:54 ben Exp $
 *
 * This script adds a default rating of zero (0) to all bookmarks if
 * there is not already a rating assigned.
 */

// No auth.
@define('AUTH_HANDLER', true);

// Find the base file path of Horde.
@define('TREAN_BASE', dirname(__FILE__) . '/../..');
@define('HORDE_BASE', dirname(__FILE__) . '/../../..');

// Load the Horde Framework core, and set up inclusion paths.
require_once HORDE_BASE . '/lib/core.php';

// Do CLI checks and environment setup first.
require_once 'Horde/CLI.php';

// Make sure no one runs this from the web.
if (!Horde_CLI::runningFromCLI()) {
    exit("Must be run from the command line\n");
}

// Load the CLI environment - make sure there's no time limit, init
// some variables, etc.
Horde_CLI::init();

require_once TREAN_BASE . '/lib/base.php';

$bookmarks = &$trean_shares->listBookmarks(DATATREE_ROOT, true);
foreach ($bookmarks as $bookmark) {
    $rating = $bookmark->get('rating');
    $bookmark->set('rating', $rating, true);
}