<?php
$option_move = Trean::countCategories(PERMS_EDIT);
$option_copy = $option_move &&
    (!empty($conf['hooks']['permsdenied']) ||
     Trean::hasPermission('max_bookmarks') === true ||
     Trean::hasPermission('max_bookmarks') > $GLOBALS['trean_shares']->countBookmarks());
$option_edit = $GLOBALS['category']->hasPermission(Auth::getAuth(), PERMS_EDIT);
$option_delete = $GLOBALS['category']->hasPermission(Auth::getAuth(), PERMS_DELETE);
$option_select = $option_move || $option_delete;
$num_items = count($GLOBALS['bookmarks']) + count($GLOBALS['categories']);
?>

<?php if ($GLOBALS['prefs']->getValue('display_edit') && $num_items) : ?>
<form name="bookmarks" action="<?php echo Horde::applicationURL('edit.php') ?>" method="post">
<input type="hidden" name="actionID" value="" />
<input type="hidden" name="category_id" value="<?php echo $GLOBALS['category_id'] ?>" />
<input type="hidden" name="create_category" value="0" />
<input type="hidden" name="new_category" value="" />
<?php endif; ?>

<h1 class="header">
<?php echo $GLOBALS['category']->get('name') ?>&nbsp;
<?php echo Horde::link(Horde::selfUrl(true)) . Horde::img('reload.png', 'Refresh', '', $registry->getImageDir('horde')) . '</a>'; ?>
</h1>

<?php if ($GLOBALS['prefs']->getValue('display_edit') && $num_items && $option_select) : ?>
<table class="control" style="width:100%" cellspacing="0"><tr>
<td>
<?php printf(_("Select: %s, %s, %s, %s"),
             Horde::link('#', _("Select All"), 'widget', '', 'selectAll(); return false;') . _("All") . '</a>',
             Horde::link('#', _("Select None"), 'widget', '', 'selectNone(); return false;') . _("None") . '</a>',
             Horde::link('#', _("Select All Categories"), 'widget', '', 'selectCategories(); return false;') . _("Categories") . '</a>',
             Horde::link('#', _("Select All Bookmarks"), 'widget', '', 'selectBookmarks(); return false;') . _("Bookmarks") . '</a>') ?>
</td><td style="text-align:right">
<?php
if ($option_edit) {
    echo Horde::link('#', '', 'widget', '', 'editSelected(); return false;') . _("Edit") . '</a>';
}
if ($option_delete) {
    if ($option_edit) {
        echo ' | ';
    }
    echo Horde::link('#', '', 'widget', '', 'deleteSelected(); return false;') . _("Delete") . '</a>';
    if ($option_move) {
        echo ' | ' . Horde::link('#', '', 'widget', '', 'moveSelected(); return false;') . _("Move") . '</a>';
    }
}
if ($option_copy) {
    if ($option_delete || $option_edit) {
        echo ' | ';
    }
    echo Horde::link('#', '', 'widget', '', 'copySelected(); return false;') . _("Copy") . '</a>';
}
?>
&nbsp;<select name="selected_category"><?php echo Trean::categorySelect($GLOBALS['category_id'], PERMS_EDIT, null, DATATREE_ROOT, true, 0, 0, true) ?></select>
 <?php if ($option_edit): ?>
 <select name="other_actions" onchange="otherActions()">
  <option><?php echo _("More Actions") ?> ...</option>
<?php if ($option_copy): ?>
  <option value="new_bookmark"><?php echo _("New Bookmark"); ?></option>
<?php
endif;
if (!empty($conf['hooks']['permsdenied']) ||
    Trean::hasPermission('max_categories') === true ||
    Trean::hasPermission('max_categories') > Trean::countCategories()):
?>
  <option value="new_subcategory"><?php echo _("New Subcategory"); ?></option>
<?php endif; ?>
  <?php if ($GLOBALS['category']->getParent() != DATATREE_ROOT): ?>
    <option value="delete_category"><?php echo _("Delete this Category"); ?></option>
    <option value="rename_category"><?php echo _("Rename this Category"); ?></option>
  <?php endif; ?>
  <?php if ($GLOBALS['category']->get('owner') == Auth::getAuth()): ?>
    <option value="set_permissions"><?php echo _("Set Permissions"); ?></option>
  <?php endif; ?>
 </select>
 <?php endif; ?>
</td></tr></table>
<?php endif; ?>

<div>
<?php

if ($num_items) {
    // Number of columns to display.
    $cols = $GLOBALS['prefs']->getValue('browse_columns');
    $numfolders = count($GLOBALS['categories']);

$rows = array('1line' => 1, '2line' => 2, 'standard' => 3);
$padding = array('1line' => 3, '2line' => 6, 'standard' => 6);
$template = $GLOBALS['prefs']->getValue('bookmark_template');

    echo '<div style="float:left;width:' . floor(100 / $cols) . '%">';
    $count = 0;
    $percol =  ceil((count($GLOBALS['bookmarks']) + ceil($numfolders / $rows[$template])) / $cols);

    // list folders
    $folder = 0;
    foreach ($GLOBALS['categories'] as $name => $category) {
        echo '<div class="item' . ($count % 2) . '" style="padding-top:' . ($padding[$template] / $rows[$template]) . 'px;padding-bottom:' . ($padding[$template] / $rows[$template]) . 'px;height:18px;">';
        if ($GLOBALS['prefs']->getValue('display_edit')) {
            echo '<span style="padding-left:1px;padding-right:1px"><input type="checkbox" class="checkbox" name="category[' . $category->getId() . ']" /></span>';
        }
        echo Horde::img('folder.png', '', 'style="padding-left:1px;padding-right:1px"', $registry->getImageDir('horde') . '/tree');
        echo Horde::link(Horde::applicationUrl(Util::addParameter('browse.php', 'category_id', $category->getId()))) . $category->get('name') . '</a>';
        echo '</div>';

        if ($count > 0 && !($count % $percol)) {
            echo '</div><div style="float:left;width:' . floor(100 / $cols) . '%">';
            $count = 0;
        }

        if (++$folder == $rows[$template]) {
            ++$count;
            $folder = 0;
        }

    }

    // clean up folder listing
    while ($cols > 1 && $folder > 0 && $folder < $rows[$template]) {
        ++$folder;
        echo '<div class="item' . ($count % 2) . '" style="padding-top:' . ($padding[$template] / $rows[$template]) . 'px;padding-bottom:' . ($padding[$template] / $rows[$template]) . 'px;height:18px;"></div>';
    }

    if ($folder == $rows[$template]) {
        ++$count;
    }

    if (!($count % $percol)) {
        echo '</div><div style="float:left;width:' . floor(100 / $cols) . '%">';
        $count = 0;
    }
 
    // list bookmarks
    foreach ($GLOBALS['bookmarks'] as $bookmark) {
        echo '<div class="item' . ($count % 2) . '" style="padding-top:' . $padding[$template] . 'px;padding-bottom:' . $padding[$template] . 'px;height:' . (18 * $rows[$template]) . 'px;overflow:hidden;">';
        require TREAN_TEMPLATES . '/bookmark/' . $template . '.inc';
        echo '</div>';
        if (!(++$count % $percol)) {
            echo '</div><div style="float:left;width:' . floor(100 / $cols) . '%">';
            $count = 0;
        }
    }

    // fill in last column if necessary
    while ($rows > 1 && $count > 0 && ++$count <= $percol) {
        echo '<div class="item' . (($count + 1)% 2) . '" style="padding-top:' . $padding[$template] . 'px;padding-bottom:' . $padding[$template] . 'px;height:' . (18 * $rows[$template]) . 'px;overflow:hidden;"></div>';
    }

    echo '</div>';

} else {
    if ($option_edit) {
        echo '<div class="control">';
        $div = false;
        if ($option_copy) {
            echo '<a href="javascript:otherActions(\'new_bookmark\')" class="widget">' . _("New Bookmark") . '</a>';
            $div = true;
        }
        if (!empty($conf['hooks']['permsdenied']) ||
            Trean::hasPermission('max_categories') === true ||
            Trean::hasPermission('max_categories') > Trean::countCategories()) {
            if ($div) {
                echo ' | ';
            }
            echo '<a href="javascript:otherActions(\'new_subcategory\')" class="widget">' . _("New Subcategory") . '</a>';
            $div = true;
        }
        if ($GLOBALS['category']->getParent() != DATATREE_ROOT) {
            if ($div) {
                echo ' | ';
            }
            echo '<a href="javascript:otherActions(\'delete_category\')" class="widget">' . _("Delete this Category") . '</a>';
            echo ' | <a href="javascript:otherActions(\'rename_category\')" class="widget">' . _("Rename this Category") . '</a>';
            $div = true;
        }
        if ($GLOBALS['category']->get('owner') == Auth::getAuth()) {
            if ($div) {
                echo ' | ';
            }
            echo '<a href="javascript:otherActions(\'set_permissions\')" class="widget">' . _("Set Permissions") . '</a>';
        }
        echo '</div>';
    }
    echo '<span style="font-style:italic">' . _("There are no bookmarks in this category") . '</span>';
}
?>
</div>

<?php if ($GLOBALS['prefs']->getValue('display_edit') && $num_items) echo '</form>' ?>
