<?php
$bookmarks = &$trean_shares->listBookmarks(Auth::getAuth(), true, 0, 0, 'rating', 1);
?>

<h1 class="header"><?php echo _("Ratings") ?></h1>

<?php
$target = $prefs->getValue('show_in_new_window') ? '_blank' : '';
$rating = -1;
foreach ($bookmarks as $bookmark) {
    $bookmark_id = $bookmark->getId();
    $http_status = $bookmark->get('http-status');
    $clicks = $bookmark->get('clicks');

    /* Get a list of bookmark's parents */
    $parent_list = $trean_shares->getParents($bookmark, true);
    $parents = array();
    $array = $parent_list;
    $done = false;
    while (!$done) {
        foreach ($array as $key => $val) {
            if ($key != DATATREE_ROOT) {
                $parent = &$trean_shares->getCategory($key);
                $parents[] = Horde::Link(Util::addParameter(Horde::applicationUrl('browse.php'), 'category_id', $key)) . $parent->get('name') . '</a>';
            }
            $done = ($val === true);
            $array = $val;
        }
    }
    $parents = array_reverse($parents);

    $url = $bookmark->get('url');
    $bookmark_url = Util::addParameter(Horde::applicationUrl('redirect.php'), 'bookmark_id', $bookmark_id);
    $b_title = trim($bookmark->get('title'));

    if ($http_status == 'error') {
        $status = 'error.png';
    } elseif ($http_status == '') {
        $status = '';
    } else {
        $status = substr($http_status, 0, 1) . 'xx.png';
    }

    if ($rating != $bookmark->get('rating')) {
        $rating = $bookmark->get('rating');
        echo '<div class="reportheader">';
        if ($rating == 0) {
            echo _("None");
        } else {
            for ($i = 1; $i <= $rating; $i++) {
                echo Horde::img('star.png');
            }
        }
        echo '</div>';
    }

    echo '<div class="report" style="padding:5px">';

?>

<table width="100%" cellspacing="0">
 <tr>

  <td valign="top">
   <?php echo Horde::img(Trean::getFavicon($bookmark), '', 'style="width:16px;height:16px"', ''); ?>
   <?php if ($status) echo Horde::img('http/' . $status) ?>
  </td>

  <td valign="top" width="100%">
   <div style="font-weight:bold">
    <?php echo Horde::link($bookmark_url, $b_title, null, $target) . $b_title ?></a>
   </div>

   <div class="small">
    <?php echo implode(' :: ', $parents); ?>
   </div>

   <div class="small">
    <?php echo Horde::link($bookmark_url, $b_title, null, $target) . $url ?></a>
   </div>

   <div>
    <?php echo htmlspecialchars($bookmark->get('description')) ?>
   </div>

  </td>

 </tr>
</table>

<?php

    echo '</div>';

}
